#[macroquad::main("demo")]
async fn main() {
    pc::init();

    let mut t = 0i32;
    loop {
        pc::cls(0);

        for y in 0..pc::HEIGHT as i32 {
            for x in 0..pc::WIDTH as i32 {
                pc::pset(x, y, 32 + (((x / 8 + y / 8 + t) % 64) as u8));
            }
        }

        t += 1;
        pc::next_frame().await;
    }
}
